<template>
  <ul>
    <li v-for="task in tasks" :key="task.name">
        <TaskItem :task="task" @complete-task="handleCompleteTask" @delete-task="handleDeleteTask"/>
    </li>
  </ul>
</template>


<script setup lang="ts">
import { PropType, defineProps, defineEmits } from "vue";
import Task from "../model/Task";
import TaskItem from "../components/TaskItem.vue";

const props = defineProps({
  tasks: {
    required: true,
    type: Array as PropType<Task[]>,
  },
});

const emit = defineEmits(["completeTask", "deleteTask"])

const handleCompleteTask = (task: string) => {
    emit("completeTask", task)
}

const handleDeleteTask = (task: string) => {
    emit("deleteTask", task)
}

</script>
